<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Banner extends Model
{
   use SoftDeletes;
   
   public function variations(){
   		return $this->belongsToMany('App\Sku','banner_sku')->orderBy('sort_order','asc')->with(['currentBatch','wishList','cart','images']);
   }
}
