<?php
namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class Cart extends Model
{

    protected $guarded = array();

    protected $table = "cart";

    public function variation()
    {
        return $this->belongsTo('App\Sku', 'sku_id');
    }
    
    public static function getCartCount(){
        $count = 0;
        if(!empty(Auth::user())){
            $count = Cart::where('user_id',Auth::user()->id)->sum('quantity');
        }
        return $count;
    }
}
