<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DeliveryAddress extends Model{
    protected $guarded = [];
	protected $table = "delivery_addresses";
	
	public static function getPostCodeDetail($postCode)
	{
	    $url = "https://api.postcodes.io/postcodes/".$postCode;
	    $file_headers = @get_headers($url);
	    
	    if(!$file_headers || $file_headers[0] == 'HTTP/1.1 404 Not Found') {
	        $array['status'] = "404";
	        $array['result'] = "";
	        $result = (object) $array;
	    }
	    else {
	        $result = json_decode(file_get_contents($url));
	    }
	    
	    return $result;
	}
	
// 	public function users(){
// 	    return $this->belongsToMany('App\User','seller_delivery_addresses', 'seller_id', 'delivery_address_id');
//   	}
  	public function users(){
  	    return $this->belongsToMany('App\User','seller_delivery_addresses','delivery_address_id','seller_id');
  	}
	
}
