<?php

namespace App\Http\Controllers;
use App\Country;
use App\State;
use Illuminate\Http\Request;
use Validator;
use DB;


class CountriesController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
    	$countries = Country::with('states.cities')->get();
		return response()->json(['status' => 1, 'message' => 'Countries with State and Cities', 'data' => $countries]);
        
    }
	
	public function getCountries(){
		$countries = Country::get();
		return response()->json(['status' => 1, 'message' => 'Countries List', 'data' => $countries]);
	}
	
	public function getCountryStates($id){
		$states = Country::where('id',$id)->with('states')->first();
		return response()->json(['status' => 1, 'message' => 'States of Country', 'data' => $states]);
	}
	
	public function getStateCities($id){
		$cities = State::where('id',$id)->with('cities')->first();
		return response()->json(['status' => 1, 'message' => 'Cities of State', 'data' => $cities]);
	}
	
	
	
}
