<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Invoice extends Model
{
   use SoftDeletes;
   
   public function batches(){
   		return $this->hasMany('App\Batch','invoice_id');
   }
   
   public function merchant(){
   		return $this->belongsTo('App\Merchant','merchant_id');
   }
   
  
   
}
