<?php

namespace App;

use Illuminate\Database\Eloquent\Model;


class State extends Model{

   protected $guarded = [];
   protected $table = 'states';
   
   public function country(){
   	return $this->belongsTo('App\Country','country_id');
   }
   
   public function cities(){
   	return $this->hasMany('App\City','state_id');
   }
   
}
