<div class="table-responsive">
<table class="table mb-0 table-bordered table-striped" >
	<thead>
	<tr class="table-active">
		<th width="50">SKU</th>
		<th width="150">Products Image</th>
		<th>Products Name</th>
		<th >Category </th>
		<th class="text-center">Current Stock Quantity</th>
		
	</tr>
	</thead>
	<tbody>
		<?php if(count($skus)==0): ?>
			<tr class="table-info text-center">
				<td colspan="8">
					<i class="fa fa-info-circle"></i>
					No Products Found
				</td>
			</tr>
		<?php endif; ?>
		@foreach($skus as $product)
			<tr>
				<td style="width:20%;">
					
					<a href="{{route('products.skudetails',$product->id)}}">{{$product->sku}} </a>
					<br>
					(<b>{{$product->variation_name}}</b> : {{$product->variation_value}})
				</td>
				<td width="150" class="text-center">
					@if(empty($product->images))
						<img src="{{asset('images/products/product-1.jpg')}}" width="50">
					@else
						<img src="{{$product->images[0]->name}}" width="50">
					@endif
					
				</td>
				<td>{{$product->product->name}}</td>
				<td>
					<ul style="padding-left:10px;">
					<?php foreach($product->product->categories as $category): ?>
						<li>
							<?php echo $category->name; ?> 
						(<?php echo $category->category->name; ?>)
						</li>
					<?php endforeach; ?>
					</ul>
				</td>
				<td class="text-center">{{$product->balance_quantity}}</td>
			</tr>
		@endforeach
		
	</tbody>
</table>
</div>
<div class="pagination-rounded mt-2">
	<?php echo $skus->links(); ?>
</div>