<!DOCTYPE html>
<html>
<head>
	<title>Oja Invoice</title>
	<style type="text/css">
		.custom-body{
			background-color: #272727;
		}
		.invoice-area{
			margin: auto;
			width: 62mm;
			height: 100mm;
			background-color: #ffffff;
			border-radius: 10px;
			padding: 10px;
		}
		.invoice-box{
			border: 1px solid #dddddd;
		}
		.top-invoice-info-box{
			padding: 10px;
			text-align: center;
			background-color: #272727;
			color: #ffffff;
		}
		.logo-box{
			padding-top: 4px;
			text-align: center;
		}
		.logo-box img{
			width: 140px;
		}
		table{
			width: 100%;
			padding: 6px 4px 0px 4px;
		}
		table td{
			padding: 4px;
			font-size: 14px;
		}
		.bottom-invoice-info-box{
			text-align: center;
			margin-top: 5px;
		}
		.footer-invoice-box{
			background-color: #272727;
			color: #ffffff;
			font-size: 13px;
		}
		.footer-invoice-box p{
			padding: 6px 2px;
			margin: 5px 0px 8px 0px;			
		}
	</style>
</head>
<body class="custom-body">
	<div class="invoice-area">
		<div class="invoice-box">
			<div class="logo-box">
				<img src="https://my-oja.com/oja/public/images/logo-oja.png">
<!-- 				<h5 class="margin: 0px 0px 4px 0px;">1 of 4</h5> -->
			</div>
			<div class="top-invoice-info-box">
				<h6 style="margin-bottom: 5px; margin-top: 0px;font-size: 12px;"><?php echo $order->delivery_address->name; ?></h6>
				<h3 style="margin-bottom: 5px; margin-top: 0px;"><?php echo $order->order_number; ?></h3>
				<p style="margin-bottom: 0px; margin-top: 0px;font-size: 9px;">Delivery Expected: </p>
				<h4 style="margin-bottom: 0px; margin-top: 0px;font-size: 14px;"><?php echo date('d-M',strtotime($order->delivery_date)); ?></h4>
				<?php $time = explode('-', $order->slot_time);
				if(isset($time[0]) && isset($time[1])){?>
				<h4 style="margin-bottom: 0px; margin-top: 0px;font-size: 14px;"><?php echo date('h:i a',strtotime($time[0])) . " - " . date('h:i a',strtotime($time[1])); ?></h4>
					<?php
						}else {
					  echo '';
					}

			
				// echo "here";
				// exit;
				?>
				
				
			</div>
			<table>
				<?php foreach($order->order_products as $product){ ?>
				<tr>
					<td style="font-weight:900;font-size:14px;"><?php echo $product->quantity; ?>x <?php echo $product->product_data->product->name; ?></td>
					<td style="font-weight:900; text-align: right;font-size:14px;white-space:nowrap;"><span>&#8364;</span> <?php echo $product->price; ?></td>
				</tr>
				<?php }?>
			</table>
			<div class="bottom-invoice-info-box">
				<h5 style="margin-bottom: 0px; margin-top: 0px;">Delivered to:</h5>
				<h5 style="margin-bottom: 0px; margin-top: 0px;"> <?php echo $order->delivery_address->address1; ?><br></h5>
				<h5 style="margin-bottom: 0px; margin-top: 0px;"><?php echo $order->delivery_address->state; ?></h5>
				<h5 style="margin-bottom: 0px; margin-top: 0px;"> <?php echo $order->delivery_address->zip; ?></h5>
			</div>
			<div class="footer-invoice-box">
				<p>Notes : </p>
			</div>
		</div>
	</div>
</body>
</html>