<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProductSpecification extends Model
{
	
    public function ProductSpecifications(){
		return $this->hasMany('App\ProductSpecification','parent_id')->with('ProductSpecifications');
	}
	
	public function product(){
		return $this->belongsTo('App\Sku','sku_id');
	}
	
	//for filters
	public function filters(){
		return $this->hasMany('App\ProductSpecification','parent_id')->with('filters');
	}
	
	
	
}
