<?php
namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class UserForm extends Model
{
    const FORM_TYPE_JOIN_COMMUNITY = 1;
    const FORM_TYPE_GET_YOUR_STORE = 2;
    const FORM_TYPE_CONTACT_FORM = 3;
    
    public function getEmailType($id = null)
    {
        $array = [
            self::FORM_TYPE_JOIN_COMMUNITY => 'Join Our Community',
            self::FORM_TYPE_GET_YOUR_STORE => 'GET YOUR STORE',
            self::FORM_TYPE_CONTACT_FORM => 'Contact Form'
        ];
        
        if(!empty($id))
        {
            return $array[$id];
        }
        
        return "";
    }
}
