<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<meta content="Oja" name="description" />
		<meta content="Oja" name="author" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />

		<!-- CSRF Token -->
		<meta name="csrf-token" content="{{ csrf_token() }}">

		<title>Oja</title>

		<!-- App favicon -->
		<link rel="shortcut icon" href="{{ asset('images/fav-oja.png') }}">

		<!-- Plugins css -->
		<link href="{{ asset('libs/flatpickr/flatpickr.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/jquery-vectormap/jquery-jvectormap-1.2.2.css') }}" rel="stylesheet" type="text/css" />

		<link href="{{ asset('libs/summernote/summernote-bs4.css') }}" rel="stylesheet" type="text/css" />

		<link href="{{ asset('css/nice-select-multiple.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/switchery/switchery.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/multiselect/multi-select.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/bootstrap-select/bootstrap-select.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/bootstrap-touchspin/jquery.bootstrap-touchspin.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/clockpicker/bootstrap-clockpicker.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/flatpickr/flatpickr.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/clockpicker/bootstrap-clockpicker.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/bootstrap-datepicker/bootstrap-datepicker.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/dropify/dropify.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('libs/sweetalert2/sweetalert2.min.css') }}" rel="stylesheet" type="text/css" />
		
		<!-- ION Slider -->
		<link href="{{ asset('libs/ion-rangeslider/ion.rangeSlider.css') }}" rel="stylesheet" type="text/css"/>

		<link href="{{ asset('libs/custombox/custombox.min.css') }}" rel="stylesheet">
		<link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
		<link href="{{ asset('css/icons.min.css') }}" rel="stylesheet" type="text/css" />
		<!-- App css -->
		<link href="{{ asset('css/app.min.css') }}" rel="stylesheet" type="text/css" />

		<style type="text/css">
			.toast-backdrop {
				position: fixed;
			    top: 0;
			    left: 0;
			    width: 100%;
			    height: 100%;
			    background:rgba(0,0,0,0.4);
			    z-index: -1;
			    visibility: hidden;
			    opacity:0;
			    transition:all .4s;
			}
			.toast-backdrop.open {
				z-index: 99999;
			    visibility:visible;
			    opacity:1;
			    backdrop-filter: blur(1px);
			    -webkit-backdrop-filter: blur(1px);
			}
			.uldcsv {
				width: 200px;
				max-width: 100%;
				height: auto;
				position: absolute;
			}
			
			.has-error .form-control-feedback,
			.has-error .help-block {
			    color: crimson;
			    display:block;
			}
			.has-success .form-control-feedback,
			.has-succcess .help-block {
			    color: #18BCA0;
			}
			.form-control-feedback {
			    position: absolute;
			    top: 1px;
			    right: 15px;
			    z-index: 2;
			    display: block;
			    width: 34px;
			    height: 34px;
			    line-height: 34px;
			    text-align: center;
			}
			
			.has-error .form-control{
				border-color: crimson;
			}
			.has-error label {
				color:crimson;
			}
			.bv-tab-error a{
				color:crimson;
			}
			.bv-tab-error > a:after {
				content:'\f111';
				font-family:'Font Awesome 5 Free';
				font-size:5px !important;
				position:relative;
				top:-8px;
				color:crimson;
			}
			
			.alert {
				position:absolute;
				width:50%;
				left:25%;
				z-index: 99999;
				top:75px;
			}
			.ms-container {
				max-width:700px !important;
			}
			.ms-selection:before {
				content:'Selected Values';
				display:block;
				width:100%;
				position:relative;
				margin-top:-20px;
				font-size:14px;
				color:#6c757d;
				font-weight:bold;
			}
			.catContainer [data-bv-result="INVALID"].help-block {
				padding-left:380px;
				font-weight:bold;
			}
			.ms-optgroup-label {
				color:#111;
				text-transform: uppercase;
				background:#eee;
				display:block;
				
			}
			.form-control-feedback.fa {
				display:none !important;
			} 
			
			.orderStatusBadge {
				position:relative;
				margin-top:-10px;
				margin-left:4px;
			}
			
		</style>

		<!-- Scripts -->
		<script src="{{ asset('js/vendor.min.js') }}"></script>
		<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jquery.bootstrapvalidator/0.5.2/css/bootstrapValidator.min.css"/>
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery.bootstrapvalidator/0.5.2/js/bootstrapValidator.min.js"></script>
		<script src="{{ asset('js/html5sortable.js') }}"></script>
		
		
		
	</head>
	<body style="background:#fff;">
		<!-- Begin page -->
		<div id="wrapper">
			@include('flash/flash')
			@yield('content')
			
		</div>

		<!--Javascipts-->
		<!-- Plugins js-->
		<!-- Summernote js -->
		<script src="{{ asset('libs/summernote/summernote-bs4.min.js') }}"></script>
		<script src="{{ asset('libs/bootstrap-datepicker/bootstrap-datepicker.min.js') }}"></script>
		<script src="{{ asset('js/nice-select-multiple.js') }}"></script>
		<script src="{{ asset('libs/switchery/switchery.min.js') }}"></script>
		<script src="{{ asset('libs/multiselect/jquery.multi-select.js') }}"></script>
		<script src="{{ asset('libs/bootstrap-select/bootstrap-select.min.js') }}"></script>
		<script src="{{ asset('libs/select2/select2.min.js') }}"></script>
		<script src="{{ asset('libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.js') }}"></script>
		<script src="{{ asset('libs/bootstrap-maxlength/bootstrap-maxlength.min.js') }}"></script>

		<script src="{{ asset('libs/ion-rangeslider/ion.rangeSlider.min.js') }}"></script>
		<script src="{{ asset('js/pages/range-sliders.init.js') }}"></script>

		<script src="{{ asset('libs/flatpickr/flatpickr.min.js') }}"></script>
		<script src="{{ asset('libs/jquery-knob/jquery.knob.min.js') }}"></script>
		<script src="{{ asset('libs/jquery-sparkline/jquery.sparkline.min.js') }}"></script>
		<script src="{{ asset('libs/flot-charts/jquery.flot.js') }}"></script>
		<script src="{{ asset('libs/flot-charts/jquery.flot.time.js') }}"></script>
		<script src="{{ asset('libs/flot-charts/jquery.flot.tooltip.min.js') }}"></script>
		<script src="{{ asset('libs/flot-charts/jquery.flot.selection.js') }}"></script>
		<script src="{{ asset('libs/flot-charts/jquery.flot.crosshair.js') }}"></script>
		<script src="{{ asset('libs/dropzone/dropzone.min.js') }}"></script>
		<script src="{{ asset('libs/dropify/dropify.min.js') }}"></script>

		<script src="{{ asset('libs/jquery-vectormap/jquery-jvectormap-1.2.2.min.js') }}"></script>
		<script src="{{ asset('libs/jquery-vectormap/jquery-jvectormap-world-mill-en.js') }}"></script>

		<!-- Dashboar 1 init js-->
		<!-- <script src="{{ asset('js/pages/dashboard-2.init.js') }}"></script> -->

		<!-- Init js-->

		<script src="{{ asset('js/pages/form-advanced.init.js') }}"></script>
		<script src="{{ asset('js/pages/form-pickers.init.js') }}"></script>
		<script src="{{ asset('libs/sweetalert2/sweetalert2.min.js') }}"></script>

		<!-- App js-->
		<script src="{{ asset('js/app.min.js') }}" defer></script>

		<script type="text/javascript">
			

			$('#csvbttn').click(function() {
				$('#csvInput').click();
			});
			
			$(document).on('change','#csvInput',function(){
				$('#importForm').submit();
			});
			
			$(function(){
				$('[data-toggle="tooltip"]').tooltip();
				
				
				
			});
			
			
			// Convert numbers to words
			// American Numbering System
			var th = ['','thousand','million', 'billion','trillion'];
			// uncomment this line for English Number System
			// var th = ['','thousand','million', 'milliard','billion'];
			
			var dg = ['zero','one','two','three','four',
			'five','six','seven','eight','nine']; var tn =
			['ten','eleven','twelve','thirteen', 'fourteen','fifteen','sixteen',
			'seventeen','eighteen','nineteen']; var tw = ['twenty','thirty','forty','fifty',
			'sixty','seventy','eighty','ninety']; function toWords(s){s = s.toString(); s =
			s.replace(/[\, ]/g,''); if (s != parseFloat(s)) return 'not a number'; var x =
			s.indexOf('.'); if (x == -1) x = s.length; if (x > 15) return 'too big'; var n =
			s.split(''); var str = ''; var sk = 0; for (var i=0; i < x; i++) {if
			((x-i)%3==2) {if (n[i] == '1') {str += tn[Number(n[i+1])] + ' '; i++; sk=1;}
			else if (n[i]!=0) {str += tw[n[i]-2] + ' ';sk=1;}} else if (n[i]!=0) {str +=
			dg[n[i]] +' '; if ((x-i)%3==0) str += 'hundred ';sk=1;} if ((x-i)%3==1) {if (sk)
			str += th[(x-i-1)/3] + ' ';sk=0;}} if (x != s.length) {var y = s.length; str +=
			'point '; for (var i=x+1; istr.replace(/\s+/g,' ');}
			

		</script>
		
		

	</body>
</html>
