@extends('layouts.app')

@section('content')
	<div class="content-page">
		<div class="content">
	
			<!-- Start Content-->
			<div class="container-fluid">
	
				<!-- start page title -->
				<div class="row">
					<div class="col-12">
						<div class="page-title-box">
	
							<h4 class="page-title">Settings</h4>
							<ol class="breadcrumb m-0">
								<li class="breadcrumb-item">
									<a href="{{ route('dashboard') }}">Dashboard</a>
								</li>
								<li class="breadcrumb-item active">
									Settings
								</li>
							</ol>
						</div>
					</div>
				</div>
				
				<div class='row'>
					<div class="col-12 col-sm-8 offset-sm-2">
						<form action="{{route('updateSettings')}}" method="post">
							@csrf
							<div class="card border">
								<div class="card-header">
									<div class="card-title m-0">
										<i class="fa fa-question-circle float-right"></i>
										<b>Help Information</b>
									</div>
								</div>
								<textarea class="form-control" id="helpArea" name="help"><?php echo $support['help']; ?></textarea>
							</div>
							<div class="card border">
								<div class="card-header">
									<div class="card-title m-0">
										<i class="fa fa-question-circle float-right"></i>
										<b>Terms &amp; Conditions</b>
									</div>
								</div>
								<textarea class="form-control" id="tncArea" name="terms_conditions"><?php echo $support['terms_conditions']; ?></textarea>
							</div>
							<div class="card border">
								<div class="card-header">
									<div class="card-title m-0">
										<i class="fa fa-question-circle float-right"></i>
										<b>Privacy Policy</b>
									</div>
								</div>
								<textarea class="form-control" id="ppArea" name="privacy_policy"><?php echo $support['privacy_policy']; ?></textarea>
							</div>
							<button type="submit" class="btn btn-primary">Save changes</button>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
<script>
	$(function(){
		// $('#helpArea').summernote({
		  // airMode: true
		// });
// 		
		$("#helpArea").summernote({
			height : 350,
			minHeight : null,
			maxHeight : null,
			focus : !1,
			// airMode:true
		})
		$("#tncArea").summernote({
			height : 350,
			minHeight : 350,
			maxHeight : null,
			focus : !1,
			//airMode:true
		})
		$("#ppArea").summernote({
			height : 350,
			minHeight : null,
			maxHeight : null,
			focus : !1,
			// airMode:true
		})
		
	});
</script>
@endsection