<?php
use App\UserForm;
?>
@extends('layouts.app')

@section('content')
<?php 

?>	
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">User Form</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								User Form
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			
			<div class="row">

				<div class="col-4 col-sm-4 col-md-4">
					<div class="card-box text-center border">
						<div class="text-left mt-3">
						
							<p class="text-danger mb-1 font-13">
								<strong>Form Type :</strong><span class="ml-2"> {{ $userForm->getEmailType($userForm->type) }}</span>
							</p>
							<?php if($userForm->type == UserForm::FORM_TYPE_JOIN_COMMUNITY){?>
								<p class="text-muted mb-2 font-13">
    								<strong>Email :</strong><span class="ml-2">{{ $userForm->email }}</span>
    							</p>
    							
    							<p class="text-muted mb-2 font-13">
    								<strong>Postcode :</strong><span class="ml-2">{{ $userForm->postcode }}</span>
    							</p>
    							
    							<p class="text-muted mb-2 font-13">
    								<strong>Cultures :</strong>
    								<strong>Cultures :</strong>
    								<?php if(!empty($userForm->cultures )){
    								    $cultureArr = explode('~', $userForm->current_service);
    								    foreach ($cultureArr as $culture){?>
    									<span class="ml-2">{{ $culture }}</span>
									<?php } }?>
    							</p>
							<?php }?>
							
							<?php if($userForm->type == UserForm::FORM_TYPE_GET_YOUR_STORE){?>
								
								<p class="text-muted mb-2 font-13">
    								<strong>Full Name :</strong><span class="ml-2">{{ $userForm->full_name }}</span>
    							</p>
    							
								<p class="text-muted mb-2 font-13">
    								<strong>Email :</strong><span class="ml-2">{{ $userForm->email }}</span>
    							</p>
    							
    							<p class="text-muted mb-2 font-13">
    								<strong>Company Name :</strong><span class="ml-2">{{ $userForm->company_name }}</span>
    							</p>
    							
    							<p class="text-muted mb-2 font-13">
    								<strong>Postcode :</strong><span class="ml-2">{{ $userForm->postcode }}</span>
    							</p>
    							
    							<p class="text-muted mb-2 font-13">
    								<strong>Current Service :</strong>
    								<?php if(!empty( $userForm->current_service )){
    								    $serviceArr = explode('~', $userForm->current_service);
    								    foreach ($serviceArr as $service){?>
    									<span class="ml-2">{{ $service }}</span>
									<?php } }?>
    							</p>
    							<p class="text-muted mb-2 font-13">
    								<strong>Cultures :</strong>
    								<?php if(!empty( $userForm->cultures )){
    								    $cultureArr = explode('~', $userForm->cultures);
    								    foreach ($cultureArr as $culture){?>
    									<span class="ml-2">{{ $culture }}</span><br>
									<?php } }?>
    							</p>
							<?php }?>
							
							<?php if($userForm->type == UserForm::FORM_TYPE_CONTACT_FORM){?>
								<p class="text-muted mb-2 font-13">
    								<strong>Email :</strong><span class="ml-2">{{ $userForm->email }}</span>
    							</p>
    							<p class="text-muted mb-2 font-13">
    								<strong>Message :</strong><span class="ml-2">{{ $userForm->message }}</span>
    							</p>
							<?php }?>
						</div>
					</div>
					
					<!-- end card-box -->

				</div>
				<!-- end col-->
			</div>
		</div>
</div></div>
		@endsection
